"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Determines whether the collection contains a given item
 * @memberof Array.prototype
 * @function contains
 * @param {*} value
 * @returns {Boolean}
 * @example
 * [1, 2, 3].contains(2); // true
 */
utils_1.addPrototype(Array, "contains", method_1.default);