"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var __importDefault = undefined && undefined.__importDefault || function (mod) {
    return mod && mod.__esModule ? mod : { "default": mod };
};
var method_1 = __importDefault(require("../../string/isString/method"));
var utils_1 = require("../../utils");
var method = function method(arr, fn) {
    if (!fn) return [].concat(_toConsumableArray(new Set(arr)));
    if (method_1.default(fn)) {
        var keys = utils_1.pathToKeys(fn);
        fn = function fn(value) {
            return keys.reduce(function (prev, cur) {
                return prev[cur];
            }, value);
        };
    }
    var length = arr.length;
    var found = {};
    var distinct = [];
    for (var i = 0; i < length; i++) {
        var value = arr[i];
        var generatedValue = fn(value, i, arr);
        if (found[generatedValue]) continue;
        found[generatedValue] = true;
        distinct.push(value);
    }
    return distinct;
};
module.exports = method;