"use strict";

var method = function method(arr) {
    var depth = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
    return depth !== 1 ? arr.reduce(function (prev, value) {
        return prev.concat(Array.isArray(value) ? method(value, depth - 1) : value);
    }, []) : arr.reduce(function (prev, value) {
        return prev.concat(value);
    }, []);
};
module.exports = method;