"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Returns the item at a given index. If the index does not exist, def is returned
 * @memberof Array.prototype
 * @function get
 * @param {Number} index
 * @param {*} [def=undefined]
 * @returns {*}
 * @example
 * [1, 2, 3].get(0, 'default value'); // 1
 * [1, 2, 3].get(4, 0); // 0
 */
utils_1.addPrototype(Array, "get", method_1.default);