"use strict";

var utils_1 = require("../../utils");
var method = function method(arr, path) {
    var separator = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : ", ";

    var keys = utils_1.pathToKeys(path);
    return arr.map(function (item) {
        return keys.reduce(function (prev, cur) {
            return prev && prev[cur] || undefined;
        }, item);
    }).filter(Boolean).join(separator);
};
module.exports = method;