"use strict";

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var utils_1 = require("../../utils");
var method = function method(arr, path) {
    var items = [].concat(_toConsumableArray(arr)).sort(function (a, b) {
        return a - b;
    });
    var half = Math.floor(items.length / 2);
    var reducer = function reducer(item) {
        return item;
    };
    if (path) {
        var keys = utils_1.pathToKeys(path);
        reducer = function reducer(item) {
            return keys.reduce(function (prev, curr) {
                return prev && prev[curr] || prev;
            }, item);
        };
    }
    if (items.length % 2) return reducer(items[half]);
    return (reducer(items[half - 1]) + reducer(items[half])) / 2;
};
module.exports = method;