"use strict";

var utils_1 = require("../../utils");
var method = function method(arr, path) {
    var reducer = function reducer(item) {
        return item;
    };
    if (path) {
        var keys = utils_1.pathToKeys(path);
        reducer = function reducer(item) {
            return keys.reduce(function (prev, curr) {
                return prev && prev[curr] || +Infinity;
            }, item);
        };
    }
    return arr.reduce(function (prev, cur) {
        return Math.min(prev, reducer(cur));
    }, +Infinity);
};
module.exports = method;