"use strict";

var filter = function filter(arr, link, key) {
    var id = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;
    return arr.filter(function (item) {
        return item[link] === id;
    }).map(function (item) {
        return Object.assign({}, item, { children: filter(arr, link, key, item[key]) });
    });
};
var method = function method(arr) {
    var link = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "parent_id";
    var key = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "id";
    return filter(arr, link, key);
};
module.exports = method;