"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
    return mod && mod.__esModule ? mod : { "default": mod };
};
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("../contains/method"));
var method = function method(arr, field) {
    var order = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "asc";

    if (field && method_1.default(["asc", "desc"], field)) {
        order = field;
        field = undefined;
    }
    var iterator = order === "asc" ? function (a, b) {
        return a > b ? 1 : a < b ? -1 : 0;
    } : function (a, b) {
        return a < b ? 1 : a > b ? -1 : 0;
    };
    if (field) {
        var keys = utils_1.pathToKeys(field);
        var reducer = function reducer(item) {
            return keys.reduce(function (prev, cur) {
                return prev[cur];
            }, item);
        };
        return arr.sort(function (a, b) {
            return iterator(reducer(a), reducer(b));
        });
    }
    return arr.sort(iterator);
};
module.exports = method;