"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * FillS the array with the given value until the array reaches the specified size
 * @memberof Array.prototype
 * @function pad
 * @param {Number} size
 * @param {*} [value=0]
 * @returns {Array}
 * @example
 * [1, 2, 3].pad(5, 0); // [1, 2, 3, 0, 0]
 * [1, 2, 3].pad(-5, 0); // [0, 0, 1, 2, 3]
 */
utils_1.addPrototype(Array, "pad", method_1.default);