"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * skips the array
 * @memberof Array.prototype
 * @function skip
 * @param {Number} [offset]
 * @returns {Array}
 * @example
 * [2, 1, 2, 5].skip(1); // [1,2,5]
 */
utils_1.addPrototype(Array, "skip", method_1.default);
/**
 * An alias of Array.prototype.skip
 * @memberof Array.prototype
 * @function offset
 * @param {Number} [offset]
 * @returns {Array}
 * @example
 * [2, 1, 2, 5].offset(1); // [1,2,5]
 */
Array.prototype.offset = Array.prototype.skip;