"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
    return mod && mod.__esModule ? mod : { "default": mod };
};
var method_1 = __importDefault(require("../../string/isString/method"));
var utils_1 = require("../../utils");
var method = function method(arr, fn) {
    var reducer = fn;
    if (method_1.default(fn)) {
        var keys = utils_1.pathToKeys(fn);
        reducer = function reducer(value) {
            return keys.reduce(function (prev, cur) {
                return prev[cur];
            }, value);
        };
    }
    return arr.sort(function (a, b) {
        return reducer(a) - reducer(b);
    });
};
module.exports = method;