"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Returns the minimum value of a given path
 * @memberof Array.prototype
 * @function sum
 * @param {String} [path]
 * @returns {Number}
 * @example
 * [1, 2, 3].sum(); // 6
 * [{a: 1}, {a: 2}, {a: 3}].sum('a'); // 6
 * [{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}].sum('a.b'); // 6
 */
utils_1.addPrototype(Array, "sum", method_1.default);