"use strict";

var utils_1 = require("../../utils");
var method = function method(arr, path) {
    if (path) {
        var keys = utils_1.pathToKeys(path);
        var reducer = function reducer(item) {
            return keys.reduce(function (prev, cur) {
                return prev && prev[cur] || 0;
            }, item);
        };
        return arr.reduce(function (prev, cur) {
            return prev + reducer(cur);
        }, 0);
    }
    return arr.reduce(function (prev, cur) {
        return prev + cur;
    }, 0);
};
module.exports = method;