"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Returns all elements in an array except for the first one
 * @memberof Array.prototype
 * @function tail
 * @returns {Array}
 * @example
 * [1, 2, 3].tail(); // [2, 3]
 */
utils_1.addPrototype(Array, "tail", method_1.default);