"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Filters the array
 * @memberof Array.prototype
 * @function whereNull
 * @param {String} [field]
 * @returns {Array}
 * @example
 * [1, 2, 2, 3, null, undefined, 5].whereNull(); // [null, undefined]
 * [{count:1}, {count:null}, {foo:15}].whereNull("count"); // [{count:null},{foo:15}]
 */
utils_1.addPrototype(Array, "whereNull", method_1.default);