"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Assigns object like Object.assign
 * @memberof Object.prototype
 * @function $assign
 * @param {...Object} sources
 * @returns {Object}
 * @example
 * ({ a: 0 }).$assign({ a: 1 }, { b: 2 }); // { a: 1, b: 2 }
 */
utils_1.addPrototype(Object, "$assign", method_1.default);