"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Flattens the object into a single-depth object
 * @memberof Object.prototype
 * @function $flatten
 * @returns {Object}
 * @example
 * ({ foo: 1, bar: { foo: 2 } }).$flatten(); // { foo: 1, "bar.foo": 2 }
 */
utils_1.addPrototype(Object, "$flatten", method_1.default);