"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Checks if the string is equal to the given value
 * @memberof String.prototype
 * @function equals
 * @param {*} value
 * @returns {Boolean}
 * @example
 * "hello".equals("Hello"); // false
 */
utils_1.addPrototype(String, "equals", method_1.default);