"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Just like array.forEach
 * @memberof String.prototype
 * @function forEach
 * @param {Function} fn
 * @returns {void}
 * @example
 * 'Hello'.forEach((char, index) => char == 'o' && consol.log(index)); // console logs 4
 */
utils_1.addPrototype(String, "forEach", method_1.default);