"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * FillS the string with the given value until the string reaches the specified size
 * @memberof String.prototype
 * @function pad
 * @param {Number} size
 * @param {String} [value=" "]
 * @returns {String}
 * @example
 * "123".pad(5, 0); // "12300"
 * "123".pad(-5, 0); // "00123"
 */
utils_1.addPrototype(String, "pad", method_1.default);