"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Returns a copy of the string in which all the case-based characters have had their case swapped
 * @memberof String.prototype
 * @function swapCase
 * @returns {String}
 * @example
 * 'Hello'.swapCase(); // 'hELLO'
 */
utils_1.addPrototype(String, "swapCase", method_1.default);