"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Truncates a string up to a specified length
 * @memberof String.prototype
 * @function truncate
 * @param {Number} num
 * @param {String} [truncateString="..."]
 * @returns {String}
 * @example
 * 'boomerang'.truncate(7); // 'boom...'
 * 'boomerang'.truncate(7, '....'); // 'boo....'
 */
utils_1.addPrototype(String, "truncate", method_1.default);