"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Deep flattens an array
 * @memberof Array.prototype
 * @function deepFlatten
 * @returns {Array}
 * @example
 * [1, [2], [[3], 4], 5].deepFlatten(); // [1,2,3,4,5]
 */
utils_1.addPrototype(Array, "deepFlatten", method_1.default);
