"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const method_1 = __importDefault(require("../../string/isString/method"));
const utils_1 = require("../../utils");
const method = (arr, fn) => {
    if (!fn)
        return [...new Set(arr)];
    if (method_1.default(fn)) {
        const keys = utils_1.pathToKeys(fn);
        fn = value => keys.reduce((prev, cur) => prev[cur], value);
    }
    const length = arr.length;
    const found = {};
    const distinct = [];
    for (let i = 0; i < length; i++) {
        const value = arr[i];
        const generatedValue = fn(value, i, arr);
        if (found[generatedValue])
            continue;
        found[generatedValue] = true;
        distinct.push(value);
    }
    return distinct;
};
module.exports = method;
