"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Returns all the distinct values of an array
 * @memberof Array.prototype
 * @function distinctBy
 * @param {Function} fn
 * @returns {Array}
 * @example
 * [1, 2, 2, 3, 4, 4, 5].distinctBy((a, b) => a === b); // [1,2,3,4,5]
 */
utils_1.addPrototype(Array, "distinctBy", method_1.default);
