"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Returns every nth element in an array
 * @memberof Array.prototype
 * @function everyNth
 * @returns {Array}
 * @example
 * [1, 2, 3, 4, 5, 6].everyNth(2); // [ 2, 4, 6 ]
 */
utils_1.addPrototype(Array, "everyNth", method_1.default);
