"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Returns the first item of the array
 * @memberof Array.prototype
 * @function first
 * @returns {*}
 * @example
 * [1, 2, 3].first(); // 1
 */
utils_1.addPrototype(Array, "first", method_1.default);
