"use strict";
const utils_1 = require("../../utils");
const method = (arr, path, separator = ", ") => {
    const keys = utils_1.pathToKeys(path);
    return arr
        .map(item => keys.reduce((prev, cur) => (prev && prev[cur]) || undefined, item))
        .filter(Boolean)
        .join(separator);
};
module.exports = method;
