"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Returns all indices of value in the array. If value never occurs, returns []
 * @memberof Array.prototype
 * @function indexOfAll
 * @param {*} value
 * @returns {Number[]}
 * @example
 * [1, 2, 3, 1, 2, 3].indexOfAll(1); // [0,3]
 * [1, 2, 3].indexOfAll(4); // []
 */
utils_1.addPrototype(Array, "indexOfAll", method_1.default);
