"use strict";
const utils_1 = require("../../utils");
const method = (arr, path) => {
    let reducer = (item) => item;
    if (path) {
        const keys = utils_1.pathToKeys(path);
        reducer = (item) => keys.reduce((prev, curr) => (prev && prev[curr]) || +Infinity, item);
    }
    return arr.reduce((prev, cur) => Math.min(prev, reducer(cur)), +Infinity);
};
module.exports = method;
