"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("../contains/method"));
const method = (arr, field, order = "asc") => {
    if (field && method_1.default(["asc", "desc"], field)) {
        order = field;
        field = undefined;
    }
    const iterator = order === "asc"
        ? (a, b) => (a > b ? 1 : a < b ? -1 : 0)
        : (a, b) => (a < b ? 1 : a > b ? -1 : 0);
    if (field) {
        const keys = utils_1.pathToKeys(field);
        const reducer = (item) => keys.reduce((prev, cur) => prev[cur], item);
        return arr.sort((a, b) => iterator(reducer(a), reducer(b)));
    }
    return arr.sort(iterator);
};
module.exports = method;
