"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Randomizes the order of the values of an array, returning a new array
 * @memberof Array.prototype
 * @function shuffle
 * @returns {Array}
 * @example
 * const foo = [1, 2, 3];
 * foo.shuffle(); // [2,3,1], foo = [1,2,3]
 */
utils_1.addPrototype(Array, "shuffle", method_1.default);
