"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const method_1 = __importDefault(require("../../string/isString/method"));
const utils_1 = require("../../utils");
const method = (arr, fn) => {
    let reducer = fn;
    if (method_1.default(fn)) {
        const keys = utils_1.pathToKeys(fn);
        reducer = (value) => keys.reduce((prev, cur) => prev[cur], value);
    }
    return arr.sort((a, b) => reducer(a) - reducer(b));
};
module.exports = method;
