"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Filters the array
 * @memberof Array.prototype
 * @function whereNotNull
 * @param {String} [field]
 * @returns {Array}
 * @example
 * [1, 2, 2, 3, null, undefined, 5].whereNotNull(); // [1,2,2,3,5]
 * [{count:1}, {count:null}, {foo:15}].whereNotNull("count"); // [{count:1}]
 */
utils_1.addPrototype(Array, "whereNotNull", method_1.default);
