"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const method_1 = __importDefault(require("./method"));
/**
 * Generates an array, containing the Fibonacci sequence, up until the nth term
 * @memberof Math
 * @function fibonacci
 * @param {Number} num
 * @returns {Number[]}
 * @example
 * Math.fibonacci(6); // [0, 1, 1, 2, 3, 5]
 */
Math.fibonacci = method_1.default;
