"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const method_1 = __importDefault(require("./method"));
/**
 * Calculates the greatest common divisor between two or more numbers
 * @memberof Math
 * @function gcd
 * @param {Number[]} nums
 * @returns {Number}
 * @example
 * Math.gcd(8, 36); // 4
 * Math.gcd(...[12, 8, 32]); // 4
 */
Math.gcd = method_1.default;
