"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Converts the number to an array of digits
 * @memberof Number.prototype
 * @function digitize
 * @returns {Number[]}
 * @example
 * (123).digitize(); // [1, 2, 3]
 */
utils_1.addPrototype(Number, "digitize", method_1.default);
