"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Checks if n is between start and up to end
 * @memberof Number.prototype
 * @function inRange
 * @param {Number} end
 * @param {Number} [start=0]
 * @returns {Boolean}
 * @example
 * (4).inRange(8); // true
 */
utils_1.addPrototype(Number, "inRange", method_1.default);
