"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Empty the object
 * @memberof Object.prototype
 * @function $empty
 * @example
 * const obj = { a: 1 };
 * obj.$empty();
 * // obj = {};
 */
utils_1.addPrototype(Object, "$empty", method_1.default);
