"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Performs a deep comparison between two values to determine if they are equivalent
 * @memberof Object.prototype
 * @function $equals
 * @param {*} obj
 * @returns {Boolean}
 * @example
 * ({ a: [2, { e: 3 }], b: [4], c: 'foo' }).$equals({ a: [2, { e: 3 }], b: [4], c: 'foo' }); // true
 */
utils_1.addPrototype(Object, "$equals", method_1.default);
