"use strict";
const method = (obj, arr) => {
    let fn = arr;
    if (Array.isArray(arr))
        fn = (v, k) => arr.indexOf(k) !== -1;
    return Object.keys(obj)
        .filter(k => !fn(obj[k], k, obj))
        .reduce((acc, key) => ((acc[key] = obj[key]), acc), {});
};
module.exports = method;
