"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Get size of the object
 * @memberof Object.prototype
 * @function $size
 * @returns {Object}
 * @example
 * { one: 1, two: 2, three: 3 }.$size(); // 3
 */
utils_1.addPrototype(Object, "$size", method_1.default);
