"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Find out if the string contains the argument at any position
 * @memberof String.prototype
 * @function contains
 * @param {String} str
 * @param {Boolean} [sensitive=false]
 * @returns {Boolean}
 * @example
 * 'javaScript & typescript'.contains('Typescript'); // true
 * 'javaScript & typescript'.contains('Typescript', true); // false
 */
utils_1.addPrototype(String, "contains", method_1.default);
