"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Returns the decapitalized string
 * @memberof String.prototype
 * @function decapitalize
 * @param {Boolean} [allWords=false]
 * @returns {String}
 * @example
 * 'Foo Bar'.decapitalize(); // 'foo Bar'
 * 'Hello World'.decapitalize(true); // 'hello world'
 */
utils_1.addPrototype(String, "decapitalize", method_1.default);
