"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Just like array.forEach
 * @memberof String.prototype
 * @function forEach
 * @param {Function} fn
 * @returns {void}
 * @example
 * 'Hello'.forEach((char, index) => char == 'o' && consol.log(index)); // console logs 4
 */
utils_1.addPrototype(String, "forEach", method_1.default);
