"use strict";

var method = function method(arr, fn) {
    return arr.map(typeof fn === "function" ? fn : function (value) {
        return value[fn];
    }).reduce(function (prev, value, i) {
        prev[value] = (prev[value] || []).concat(arr[i]);
        return prev;
        // tslint:disable-next-line: align
    }, {});
};
module.exports = method;