"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * limits the array
 * @memberof Array.prototype
 * @function limit
 * @param {Number} [limit]
 * @returns {Array}
 * @example
 * [2, 1, 2, 5].limit(2); // [2,1]
 */
utils_1.addPrototype(Array, "limit", method_1.default);
/**
 * An alias of Array.prototype.skip
 * @memberof Array.prototype
 * @function take
 * @param {Number} [limit]
 * @returns {Array}
 * @example
 * [2, 1, 2, 5].take(2); // [2,1]
 */
Array.prototype.take = Array.prototype.limit;