"use strict";

var method = function method(end) {
    var start = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
    var step = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
    return Array.from({
        length: Math.ceil((end + 1 - start) / step)
    }).map(function (value, index) {
        return index * step + start;
    });
};
module.exports = method;