"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Filters the array
 * @memberof Array.prototype
 * @function whereIn
 * @param {String|Array} field
 * @param {Array} [value]
 * @returns {Array}
 * @example
 * [1, 2, 2, 3, 4, 4, 5].whereIn([3,4]); // [3,4,4]
 * [{count:1}, {count:20}, {count:15}].whereIn("count", [1, 15]); // [{count:1},{count:15}]
 */
utils_1.addPrototype(Array, "whereIn", method_1.default);