"use strict";
// tslint:disable-next-line:ban-types

var method = function method(func) {
    var cache = func.cached || new Map();
    var cached = function cached() {
        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        var key = JSON.stringify(args);
        return cache.has(key) ? cache.get(key) : cache.set(key, func.call.apply(func, [func].concat(args))) && cache.get(key);
    };
    func.cached = cache;
    return cached;
};
module.exports = method;