"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var method_1 = __importDefault(require("./method"));
/**
 * Returns the average of an of two or more numbers
 * @memberof Math
 * @function average
 * @param {Number[]} nums
 * @returns {Number}
 * @example
 * Math.average(...[1, 2, 3]); // 2
 * Math.average(1, 2, 3); // 2
 */
Math.average = method_1.default;
/**
 * Returns the average of an of two or more numbers
 * @memberof Math
 * @function avg
 * @param {Number[]} nums
 * @returns {Number}
 * @example
 * Math.avg(...[1, 2, 3]); // 2
 * Math.avg(1, 2, 3); // 2
 */
Math.avg = Math.average;