"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var method_1 = __importDefault(require("./method"));
/**
 * Generates primes up to a given number, using the Sieve of Eratosthenes
 * @memberof Math
 * @function primes
 * @param {Number} num
 * @returns {Number[]}
 * @example
 * Math.primes(10); // [2, 3, 5, 7]
 */
Math.primes = method_1.default;