"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
    return mod && mod.__esModule ? mod : { "default": mod };
};
var method_1 = __importDefault(require("../forEach/method"));
var method_2 = __importDefault(require("../isPlainObject/method"));
var method = function method(obj) {
    var result = {};
    method_1.default(obj, function (value, key) {
        if (Array.isArray(value)) {
            var temp = {};
            value.forEach(function (subValue, index) {
                temp["[" + index + "]"] = subValue;
            });
            value = temp;
        }
        if (method_2.default(value)) {
            var flat = method(value);
            method_1.default(flat, function (subValue, subKey) {
                var separator = /^\[/.test(subKey) ? "" : ".";
                result["" + key + separator + subKey] = subValue;
            });
            return;
        }
        result[key] = value;
    });
    return result;
};
module.exports = method;