"use strict";

var __importDefault = undefined && undefined.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var method_1 = __importDefault(require("./method"));
/**
 * Get keys of the object
 * @memberof Object.prototype
 * @function $keys
 * @returns {Object}
 * @example
 * ({ one: 1, two: 2, three: 3 }).$keys(); // ["one", "two", "three"]
 */
utils_1.addPrototype(Object, "$keys", method_1.default);