"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Empty the array
 * @memberof Array.prototype
 * @function empty
 * @example
 * const arr = [1,3];
 * arr.empty();
 * // arr = []
 */
utils_1.addPrototype(Array, "empty", method_1.default);
