"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Checks if the array is equal to the given value
 * @memberof Array.prototype
 * @function equals
 * @param {*} value
 * @returns {Boolean}
 * @example
 * [1,2,3].equals([2,1,3]); // false
 */
utils_1.addPrototype(Array, "equals", method_1.default);
