"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Returns all the elements of an array except the last one
 * @memberof Array.prototype
 * @function initial
 * @returns {Array}
 * @example
 * [1, 2, 3].initial(); // [1, 2]
 */
utils_1.addPrototype(Array, "initial", method_1.default);
