"use strict";
const utils_1 = require("../../utils");
const method = (arr, path) => {
    const items = [...arr].sort((a, b) => a - b);
    const half = Math.floor(items.length / 2);
    let reducer = (item) => item;
    if (path) {
        const keys = utils_1.pathToKeys(path);
        reducer = (item) => keys.reduce((prev, curr) => (prev && prev[curr]) || prev, item);
    }
    if (items.length % 2)
        return reducer(items[half]);
    return (reducer(items[half - 1]) + reducer(items[half])) / 2;
};
module.exports = method;
