"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Merges array with the given array
 * @memberof Array.prototype
 * @function merge
 * @param {*} value
 * @example
 * var myArray = [1, 2, 3]
 * myArray.merge([0, 6 , 2]); // myArray => [1, 2, 3, 0, 6, 2]
 */
utils_1.addPrototype(Array, "merge", method_1.default);
