"use strict";
const utils_1 = require("../../utils");
const method = (arr, path) => {
    if (path) {
        const keys = utils_1.pathToKeys(path);
        const reducer = (item) => keys.reduce((prev, cur) => (prev && prev[cur]) || 0, item);
        return arr.reduce((prev, cur) => prev + reducer(cur), 0);
    }
    return arr.reduce((prev, cur) => prev + cur, 0);
};
module.exports = method;
