"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const method_1 = __importDefault(require("./method"));
/**
 * Returns the least common multiple of two or more numbers
 * @memberof Math
 * @function lcm
 * @param {Number[]} nums
 * @returns {Number}
 * @example
 * Math.lcm(12, 7); // 84
 * Math.lcm(...[1, 3, 4, 5]); // 60
 */
Math.lcm = method_1.default;
