"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Checks if the number is equal to the given value
 * @memberof Number.prototype
 * @function equals
 * @param {*} value
 * @returns {Boolean}
 * @example
 * (22).equals("22"); // false
 */
utils_1.addPrototype(Number, "equals", method_1.default);
