"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const method_1 = __importDefault(require("../values/method"));
const method = (obj, target) => {
    if (target in obj)
        return obj[target];
    return method_1.default(obj).reduce((acc, val) => {
        if (acc !== undefined)
            return acc;
        if (typeof val === "object")
            return method(val, target);
        // tslint:disable-next-line: align
    }, undefined);
};
module.exports = method;
