"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const method_1 = __importDefault(require("../../date/equals/method"));
const method_2 = __importDefault(require("../../date/isDate/method"));
const method_3 = __importDefault(require("../isObject/method"));
const method = (obj, obj2) => {
    if (obj === obj2)
        return true;
    if (method_2.default(obj))
        return method_1.default(obj, obj2);
    if (!obj || !obj2 || !method_3.default(obj2))
        return obj === obj2;
    if (obj.prototype !== obj2.prototype)
        return false;
    const keys = Object.keys(obj);
    if (keys.length !== Object.keys(obj2).length)
        return false;
    return keys.every(k => method(obj[k], obj2[k]));
};
module.exports = method;
