"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const method_1 = __importDefault(require("../forEach/method"));
const method_2 = __importDefault(require("../isPlainObject/method"));
const method = (obj) => {
    const result = {};
    method_1.default(obj, (value, key) => {
        if (Array.isArray(value)) {
            const temp = {};
            value.forEach((subValue, index) => {
                temp[`[${index}]`] = subValue;
            });
            value = temp;
        }
        if (method_2.default(value)) {
            const flat = method(value);
            method_1.default(flat, (subValue, subKey) => {
                const separator = /^\[/.test(subKey) ? "" : ".";
                result[`${key}${separator}${subKey}`] = subValue;
            });
            return;
        }
        result[key] = value;
    });
    return result;
};
module.exports = method;
