"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Inverts the key-value pairs of the object, without mutating it
 * @memberof Object.prototype
 * @function $invert
 * @returns {Object}
 * @example
 * ({ name: "John", age: 20 }).$invert(); // { 20: "age", John: "name" }
 */
utils_1.addPrototype(Object, "$invert", method_1.default);
