"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Converts string to an integer of the specified radix
 * @memberof String.prototype
 * @function parseInt
 * @param {Number} [radix]
 * @returns {Number}
 * @example
 * "08".parseInt(); // 8
 */
utils_1.addPrototype(String, "parseInt", method_1.default);
