"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const method_1 = __importDefault(require("./method"));
/**
 * Converts a given string into an array of words
 * @memberof String.prototype
 * @function words
 * @param {RegExp} [pattern=/[^a-zA-Z-]+/]
 * @returns {String[]}
 * @example
 * 'I love javaScript!!'.words(); // ["I", "love", "javaScript"]
 * 'python, javaScript & coffee'.words(); // ["python", "javaScript", "coffee"]
 */
utils_1.addPrototype(String, "words", method_1.default);
